UU View - Service Week 11/15/2020




From the UUA President


Dear Becky,

As we draw closer to the end of a year that has been full of challenges and heartbreak, I am grateful for the ways we have shown up for each other and for our communities. This year has made clear that our faith is not bound by the walls of a building. We connected with each other virtually in imaginative new ways and reached out to millions of people through UU the Vote during the historic election season.

This spirit of creativity, impact and perseverance in times of great challenge and change is critical now as we look ahead. Many hearts ache as we anticipate Thanksgiving and the winter holidays in the midst of a global pandemic. We know that many plans and treasured traditions for gathering with family and friends must be cancelled or put on hold.

This year, let us be mindful that many hearts in the Indigenous communities of New England and across Turtle Island ache on Thanksgiving Day every year. In Plymouth, Massachusetts, Indigenous people observe the holiday as a “Day of Mourning.” This year will mark the 50th anniversary of this Day of Mourning tradition, and the 400th anniversary of the landing of the Pilgrims in Plymouth.

As a religious tradition, we cannot decide who we will be
without reckoning with the truth of who
some of our ancestors were.

In 2016, Unitarian Universalists voted to pay special attention to learning our history and rethinking Thanksgiving this year. Historically, UU ministers were instrumental in creating this U.S. holiday and the “Pilgrims and the Indians” pageant tradition that roots the holiday in an historically inaccurate and harmful colonial narrative. Many UU congregations in New England can trace their lineage directly back to early settler congregations that had a role in the genocide of Native communities. As a religious tradition, we cannot decide who we will be without reckoning with the truth of who some of our ancestors were.

I’m proud of the way we have lived into the 2016 resolution and I’m excited to announce that UUs will continue this journey by convening virtually to mark this time of year with the Harvest the Power Justice Convergence & Teach-In, November 19-26. This series of virtual events will include a diverse array of programming and many opportunities for learning and spiritual grounding to guide us as we to live into the the Action of Immediate Witness passed this year at General Assembly to Address 400 Years of White Supremacist Colonialism.

In truth, thanksgiving celebrations have a long and rich history that predates the landing of the Pilgrims and the founding of the United States. There are many, many ways that we can connect in gratitude and celebrate the abundance of the Fall harvest as a community without celebrating an ahistorical colonial origin story.

This year, let us be grateful in a genuine manner. Let our gratitude flow from our deep, ongoing commitment to justice and equity. Let our gratitude grow from the opportunities we have to be together authentically—whether virtually or in person. Please join me as we reimagine this day and gather in community to honor Indigenous ancestors, experiences and traditions. May it be a time to reflect and find meaning in how our shared values connect us.


Yours in faith and solidarity,


Rev. Susan Frederick-Gray


P.S.  Here are some resources to help congregations promote the Harvest The Power series of events in newsletters and on other platforms.


unday Service Info - Sunday, November 15, 2020 - Broadcast Service 11:00am
Sermon Title: Gratitude in Pandemic Times: Looking towards the Future of our Faith and Nation. 

Join us on Sunday, November 15th, as we explore the idea of gratitude as we live our lives in 2020. With so much pain and uncertainty in the air, what can we be grateful for? How can we even think of Gratitude at a time like this? We will look back on the past year and envision the future of our Faith and nation. 
Speaker: Roddy Biggs
Service Leader: Mike Holland
Special Musician: 

Live: Mike Holland
Offertory:  Warren Riley
Closing Hymn:  Sandi Erickson 
Media: Gene Brown and Mike Holland
Welcome back Roddy Biggs

Roddy Biggs (He/They Pronouns) is a Middle Tennessee State University student finishing their bachelor's degree in Religious Studies before pursuing seminary in the Fall of 2021. They study and work towards ordination in UU ministry. Roddy is currently a member of the First UU Church of Nashville, where they are a worship associate and serve as co-chair for the Social Justice Ministries. In addition to the work in their local congregation, Roddy is serving in an Academic Internship for the Unitarian Universalist Young Adult Revival Network, is on The Board of Directors for Unitarian Universalist Mental Health Network, and works as a lay-speaker on Sunday mornings whenever they have the opportunity to do so. Roddy has a passion for speaking on topics that have historically been left out of religious spaces, including mental health challenges, queerness, and multiracial identities. Roddy plans to continue such vocation and advocacy as they continue their education and enter into life long service in Unitarian Universalist faith communities.


uture Speakers - Looking Ahead
Nov. 22 Matt Meyer
Nov. 29 Open
Dec. 6 Micheal Carter
Dec. 13  Sally Beth
Dec. 20 Holiday Service
Dec. 27 John Bloom-Ramirez
oining the Sunday Service

GREAT NEWS regarding Joining the Sunday Service Broadcast:


This is a recurring meeting every Sunday.

Sign in as early as 10:30 and services begin at 11:00 followed by a coffee hour post service.

 

Join Zoom Meeting


https://us02web.zoom.us/j/89466203448?pwd=alRiMjhzMGFQQWM5dDlQYkZ1cHk0dz09
 
Meeting ID: 894 6620 3448
Passcode: 385674
 
Dial by your location
        +1 312 626 6799 US (Chicago)
        +1 646 876 9923 US (New York)


FACEBOOK
If you would prefer, you can instead go to our Facebook page  https://www.facebook.com/uufranklin/.   
This broadcast will have a 15-20 second delay between the call and what is being displayed. 

Joys and Concerns will be conveyed by Mike
Virtual Coffee Hour not available with Facebook
  
oys & Concerns

JOYS and CONCERNS:  


A pebble dropped into a body of water makes ripples that spread out to reach beyond the original splash.  Thus we drop a pebble in our water chalice to represent that Blessings and Thoughts go out with the person or with those joys or concerns unsaid..

The Following people had pebbles dropped on their behalf this week:
  • Gene Brown expressed joy for the USA the American people have elected the 46 President and 1st Madam Vice-President and for unity across the Nation and across parties.
  • Mike Holland expessed a joy and concern for the work to be done to unify and not to see enemies.
  • Gene Brown (a veteran himself) has a joy of those who have served this nation
  • Becky Thorndike expressed a unity in our Fellowship to send out positive thoughts for Henry
  • Blessed Walter Burnett for today is his birthday
  • A stone was dropped for unspoken joys and concerns
Disclosure:  I apologize for any Joys or Concerns that were missed. Please recognize that It does not minimize your joy or concern.

This segment was added to the View as a way to help us stay connected with each other especially in these times of social distancing.  By the way, if someone wishes to express a joy or concern but does not want it mentioned in this segment, please let Becky Thorndike know using the following email:  UUFFPresident@gmail.com
ovember Birthdays

November Birthdays   

The whole month is their Birthday month so feel  free to continue to share with everyone or anyone throughout the whole month:


Walter Burnett  November 8
Maethel Shindelman  November 16
Rodney Roe  November 22
DanTeslow  November 22
Bob Schroeder  November 29
UFF ZOOM Game Night - Saturday November 14th @ 6:30pm

UUFF Zoom Game Night!

Saturday, November, 14th, 6:30 pm

We will be playing board games via zoom and an online program.
Zoom-in at 6:00 pm if you want to join us for dinner.  (Can't play as well on an empty stomach.)

https://us02web.zoom.us/j/84881749253?pwd=L3MwUVE2aHJPUUhvOTdaNkdxaERJZz09

Phone: 312 626 6799
Meeting ID: 848 8174 9253
Passcode: 579256


For details:  SandiDonn2@yahoo.com or 828 524-3691
ornucopia Project

Cornucopia  For Those who May Need Help


It is that time of year when it is good to plan and be prepared to help our homeless brothers and sisters. 
Fill a waterproof, ziplock, freezer (for strength) gallon bag with food, supplies and cash if you are able.  You could be the saving grace in someone's life. 
Keep a few of these emergency provisions bags in your car to hand out when you see someone in need.
 
Some of the most highly recommended items are:
Food:  
     A bottle of water (plastic because it is lightweight)
     A juice box
     Easy open food such as tuna in a pouch, cheese crackers
          or if you pack a can, be sure it has a pull top
Clothes:
     #1 requested is socks
     stretchy gloves are also a good idea
Grooming products:
     travel sizes toothpaste and toothbrush
     body wipes, deodorant, travel sizes soap and shampoo 
 
The important idea here is to plan ahead and make your care packages now. Keep them in your car. Then the next time you see someone you will be prepared to help.

oard Meeting Announcement
Your UUFF Board met on Sunday Nov. 8 
Highlighted Discussion items are as follows:
  • Proposal for preparing the Sanctuary for production of the Zoom services.
  • Appointment of Shalimar Saunders and Amy Franzese as Trustees filling the vacated positions of the term ending in June 2021
  • Appointment of Shalimar Saunders as the next Communications Group Chair
    • Shalimar mentioned that the committee and chair emails will be changed to reflect a friendlier use for everyone.
    • Shalimar will place in future UU Views further changes to help the Fellowship.
    • As the Chair, Shalimar will take on the Editor of the UU View thus relieving Becky who is the President of the Board and allowing Becky to put back her time in Presidential leadership.
  • Thanksgiving Dinner plans
  • Reports from Chairs from the following groups:
    • FET (Fellowship Endowment Trust) 
    • Committee of Chairs meeting
    • Right Relations Covenant
    • There is a new email address for the board members:
reventing Cabin Fever

Preventing "Stir Crazy" or "Cabin Fever"


MUSIC:

This week's pick from Warren: 
"Let's celebrate!  Bach wrote serious liturgical music, but even within that constraint, he wrote many happy celebratory works. 


There is much calibration apparent in this cantata.
For one thing it was written at the end of a war. 
Did you enjoy the foolishness in last week's encore.  Here is another. 

 

A few Jokes:

  • One day the zookeeper noticed that the orangutan was reading two books: On the Origin of Species and the Bible.Surprised, he asked the orangutan, “Why are you reading both of those books?”“Well,” said the orangutan, “I just wanted to know if I was my brother’s keeper or my keeper’s brother
 
  • A theologian and a metaphysician were arguing ontology one day.The theologian chuckled and said, “Metaphysics is a blind man in a dark room searching for a black cat.”The metaphysician replied, “At least the cat exists.”
ommunity Activity - SWIM
SWIM is the Southern Unitarian Universalist Winter institute in Miami, kinda like SUUSI but not in our own back yard.  During this pandemic year, we attended free online SUUSI and it was like going to summer camp without leaving the house.  SWIM starts Dec 26 and  will also be free and online.  It’s too early to register but the camp catalog is now available.  Check it out:  http://swimuu.org/home/      For more info, contact Sandi Erickson uuffpr@gmail.com

UU Southern Region Events:
  •   Turn, Turn, Turn: UUA Southern Region Virtual Assembly, November 14th
Join your Southern Region staff team and sibling Unitarian Universalist congregations in the Southern Region for a day of collaboration and learning! 
UUA President Rev. Dr. Susan Frederick-Gray will be our keynote speaker in the morning. Afternoon workshop include:
  • Where Do We Go From Here? Widening the Circle of Concern - with Rev. Ashley Horan, Kathy McGowan, and Rev. Nato Hollister
  • What's Next? The Changing Congregational Landscape - with Natalie Briscoe and Connie Goodbread
  • A Time to Build Up, Small Group Ministry and Membership Paths - with Cameron Young and Lillian Drab-Braddick 
Registration fee: $20 per person.
 Learn more and register here: https://uua.wufoo.com/forms/turn-turn-turn/
undraiser Event

Get your “Side with Love” mask!


(Yes this is a fundraiser for another UU.  It is a choice)


Please click the link below to purchase a River of
Grass Unitarian Universalist Congregation Fundraising Mask!
Orders will be shipped right to your door for free!
This face mask is a two ply mask made up of 60% Polyester, 40% Cotton.

$15 each - 3 sizes available
Adult
Youth 9-15
Child 3-8

Link: https://www.brazos-uu.org/post/get-your-side-with-love-mask

River of Grass UU Congregation, Sunrise, FL
Riverofgrassuu.org
hanksgiving ZOOM Dinner Event


UUFF Thanksgiving Dinner, on Zoom
Thursday, November 26th

1 pm social gathering,
2 pm dinner

This year our UUFF Thanksgiving Dinner will be via Zoom.   We will gather in our own homes at 1:00 pm for conversation and games.  Dinner (of our own making) will be served (by each of us) at 2:00 pm enjoying zoom interaction.  Following dinner, we can play some games.
 
 Zoom links: https://us02web.zoom.us/j/84881749253?pwd=L3MwUVE2aHJPUUhvOTdaNkdxaERJZz09

Phone:  312 626 6799
Meeting ID: 848 8174 9253
Passcode: 579256

Our Fellowship is having monthly zoom Circle Dinners so this month’s circle dinner is our Thanksgiving Dinner.

We were first introduced to Zoom dining at the Southern UU Summer Institute (SUUSI) this summer.  It is a wonderful way of meeting new people and staying in contact with old friends.

Last modified: Thursday, November 12, 2020, 6:41 PM